# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetConstantArrayData

Function

Returns a pointer to the value stored in a Constant Array.

Syntax
`
#include <dx/dx.h>
`

Pointer DXGetConstantArrayData (Array a)

Functional Details

The data pointed to by this pointer should be interpreted by the user according the type, category, rank, and shape parameters associated with `a`.

While a Constant Array may contain numerous items, as may be indicated by either `DXGetArrayInfo` or `DXQueryConstantArray`, the pointer returned by `DXGetConstantArrayData` should not be incremented beyond the amount necessary to index a single item since the value of all items in a Constant Array is actually stored in a single item.

For compatibility with previous versions, this routine will also work with Regular Arrays where the delta vectors consist solely of zeros.

Return Value

Returns a pointer to the data contained in the Constant Array or returns `NULL` and sets an error code.

See Also

`DXGetArrayData, DXGetArrayInfo, DXNewConstantArray, DXNewConstantArrayV, DXQueryConstantArray`

"Constant Arrays".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]